#!/bin/sh
sleep 60
while true
do
	if pidof s30 >/dev/null ; then
		if [ ! -f /run/watchdog ] ; then
			watch_time="1"
		else
			watch_time="$(cat /run/watchdog)"
		fi
		tst_sum="$(< /proc/uptime cut -d'.' -f1) - ${watch_time}";
		if [ -n "${watch_time}" ] && [ $(( ${tst_sum} )) -gt 90 ] ; then
			rm -f /run/watchdog ; killall s30 ; sleep 60
		fi
	fi
	sleep 10
done